Udon is under active development. Documentation not final.
udonudon
Virtual machines

List virtual machines

Whether virtual machines can run on this Mac, the host limits the create form draws from, and every VM. Requires the **viewer** role.

GET
/api/vms

Authorization

udon_session<token>

In: cookie

Response Body

application/json

application/json

curl -X GET "https://example.com/api/vms"
{  "support": {    "available": true,    "reason": "string",    "hostCPUs": 0,    "hostMemoryBytes": 0,    "backends": [      {        "id": "apple",        "displayName": "string",        "support": {          "available": true,          "reason": "string",          "minCPUs": 0,          "maxCPUs": 0,          "minMemoryBytes": 0,          "maxMemoryBytes": 0        },        "capabilities": {          "guestKinds": [            "linux"          ],          "diskFormats": [            "asif"          ],          "networkModes": [            "nat"          ],          "pause": true,          "suspend": true,          "snapshots": true,          "windowConsole": true,          "serialConsole": true,          "portForwarding": true,          "unattendedInstall": true        }      }    ],    "storageVolumes": [      {        "name": "string",        "path": "string",        "freeBytes": 0,        "isDefault": true      }    ]  },  "items": [    {      "id": "string",      "name": "string",      "description": "string",      "backend": "apple",      "guest": {        "kind": "linux",        "template": "string",        "icon": "string"      },      "cpus": 0,      "memoryBytes": 0,      "state": "stopped",      "ip": "string",      "startedAt": "2019-08-24T14:15:22Z",      "error": "string",      "autostart": true,      "forwards": [        {          "proto": "tcp",          "hostPort": 0,          "guestPort": 0        }      ],      "usage": {        "cpu": 0,        "memoryBytes": 0      },      "diskBytes": 0,      "diskUsedBytes": 0,      "windowVisible": true,      "createdAt": "2019-08-24T14:15:22Z"    }  ]}

Ask AI

Answers from Udon's documentation.

Ask how to install Udon, run containers, or share folders.